---
title: Open the debugger
slug: Tools/Debugger/How_to/Open_the_debugger
---
<div>{{ToolsSidebar}}</div>

<p>There are three ways to open the debugger:</p>

<ul>
 <li>Select "Debugger" from the Web Developer submenu in the Firefox Menu (or Tools menu if you display the menu bar or are on Mac OS X)</li>
 <li>
  <p>Press <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> on Windows and Linux, or <kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>Z</kbd> on macOS (starting in Firefox 71; prior to Firefox 66, the letter in this shortcut was S).</p>
 </li>
 <li>Press the menu button ( <img alt="new fx menu" class="frameless wiki-image" src="https://mdn.mozillademos.org/files/12712/hamburger.png" style="height: 20px; width: 22px;"> ), select "Developer", then "Debugger".</li>
</ul>

<p>{{EmbedYouTube("yI5SlVQiZtI")}}</p>
